extends layout.pug

block navigation
    a#settingsLnk.button(href='/settings') Paramètres
    i =>
    a#contractsLnk.button(href='/settings/contracts') Contrats
    i =>
    a.button.button-outline(href='#') #{contract.collectiveContractNumber} - #{contract.employerCode} - #{contract.year}/#{contract.month}

block content
    #heading
        h1 Paramètres
        p Paramètres de contrat
    .row 
        hr
    #contractDetails
        h2 Details de contrat
        p#ccn 
            b N° contrat coll. : 
            =contract.collectiveContractNumber
        p#empCode 
            b Code employeur : 
            =contract.employerCode
        p#yearMonth 
            b Mois et année : 
            =contract.month
            b /
            =contract.year
        p#codpar
            b codpar and label : 
            =contract.codpar
            b (
            =contract.codparLabel
            b )
        p#amounts 
            b Montants
            ul
                li 
                    b dû : 
                    =contract.amounts.due
                li
                    b rappel :
                    =contract.amounts.recall
                li
                    b trop eprçu : 
                    =contract.amounts.overPayment
    .row 
        hr
    #bikeForm
        h2 Mise à jour contrat
        form(action='', method='POST')
            .row
                #ccnInput.column
                    label(for='ccn') n° contrat coll.
                    input#ccn(type='text', name='ccn', value=contract.collectiveContractNumber)
                #empCodeInput.column
                    label(for='empCode') code employeur
                    input#empCode(type='text', name='empCode', value=contract.employerCode)
            .row
                #yearInput.column
                    label(for='year') année
                    input#year(type='number', step="1", name='year', value=contract.year)
                #monthInput.column
                    label(for='month') mois
                    input#month(type='number', step="1", name='month', value=contract.month)
            .row
                #codparInput.column
                    label(for='codpar') codpar
                    input#codpar(type='text', name='codpar', value=contract.codpar)
                #codparLabelInput.column
                    label(for='codparLabel') codparLabel
                    input#codparLabel(type='text', name='codparLabel', value=contract.codparLabel)
            #amountsInput.column.row
                #dueInput.column
                    label(for='due') dû
                    input#due(type='number', step="0.01", name='due', value=contract.amounts.due)
                #recallInput.column
                    label(for='recall') rappel
                    input#recall(type='number', step="0.01", name='recall', value=contract.amounts.recall)
                #overPaymentInput.column
                    label(for='overPayment') trop perçu
                    input#overPayment(type='number', step="0.01", name='overPayment', value=contract.amounts.overPayment)
            .row 
                hr
            #formActions.column.row
                .column
                .column
                button.column.button-outline(type='reset') reset
                button.column(type='submit') valider
    .row 
        hr
    #deleteContract
        h2 Suppression contrat
        a(href='/settings/contracts/' + contract.collectiveContractNumber + '/' + contract.employerCode + '/' + contract.year + '/' + contract.month + '/' + contract.codpar + '/delete') 
            button supprimer